using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("角色组表")]
    /// <summary>
    /// 角色组
    /// </summary> 
    [Redis("")]
	[IgnoreT4] public partial class T_FM_ROLE_GROUP: MesEntityBase
	{
		public T_FM_ROLE_GROUP()
		{

		}
        [Description("编码")]
        /// <summary>
        /// 编码
        /// </summary>
        [CUnique]
		public string CODE { get; set; }
        [Description("名称")]
        /// <summary>
        /// 名称
        /// </summary>
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        /// <summary>
        /// FMEnableStatusEnum
        /// </summary>
        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

		[Description("备注")]
		public string REMARK { get; set; }
        [Description("导航：角色关联表")]
        public virtual ICollection<T_FM_ROLE_GROUP_BELONG_ROLE> Nav_BelongRoles { get; set; }

	}
}
